﻿using MaterialDesignThemes.Wpf;
using System;
using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;

namespace SfSchedule_NavigationButton
{
    public class BaseViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public SnackbarMessageQueue SnackbarMessageQueue { get; set; }

        public object WindowOrUserControl { get; private set; }

        public BaseViewModel(int snackbarMessageDuration = 3000)
        {
            SnackbarMessageQueue = new SnackbarMessageQueue(TimeSpan.FromMilliseconds(snackbarMessageDuration));
        }

        public virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        public void SetWindow(Window window)
        {
            WindowOrUserControl = window;
        }

        public void SetUserControl(UserControl userControl)
        {
            WindowOrUserControl = userControl;
        }

    }
}
