﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace SfSchedule_NavigationButton.Converters
{
    /// <summary>
    /// Inverts a boolean value
    /// </summary>    
    /// <remarks>Removed unneeded default ctor</remarks>
    public class InverseBooleanConverter : IValueConverter
    {
        /// <summary>
        /// Converts a boolean to it's negated value.
        /// </summary>
        /// <param name="value">The boolean to negate.</param>
        /// <param name="targetType">Not used.</param>
        /// <param name="parameter">Not used.</param>
        /// <param name="culture">Not used.</param>
        /// <returns>Negated boolean value.</returns>
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
                throw new ArgumentNullException(nameof(value));

            return !(bool)value;
        }

        /// <summary>
        /// Converts a negated value back to it's non negated value.
        /// </summary>
        /// <param name="value">The value to be un negated.</param>
        /// <param name="targetType">Not used.</param>
        /// <param name="parameter">Not used.</param>
        /// <param name="culture">Not used.</param>
        /// <returns>The original unnegated value.</returns>
        /// <remarks>To be added.</remarks>
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
                throw new ArgumentNullException(nameof(value));

            return !(bool)value;
        }
    }
}