﻿using System;
using System.Windows.Media;
using SfSchedule_NavigationButton.Models.Enums;

namespace SfSchedule_NavigationButton.Models
{
    public class Appointment : ObservableObject
    {
        public static Color DefaultOtherForegroundColor = Color.FromArgb(255, 233, 237, 239);
        public static Color DefaultOtherBackColor = Color.FromArgb(255, 96, 125, 139);

        public int Id { get; set; }

        public AppointmentType Type { get; set; }

        public DateTime AppointmentDate => Start.Date;

        public DateTime Start { get; set; }

        public DateTime End { get; set; }

        public TimeSpan Duration => End - Start;

        public string Description { get; set; }

        public bool HasDescription => !String.IsNullOrWhiteSpace(Description);        

        public Customer LinkedCustomer { get; set; }

        public Order LinkedOrder { get; set; }

        public bool IsOrderLinked => LinkedOrder != null;

        public Color ForegroundColor => InventarStatus?.ForegroundColor ?? DefaultOtherForegroundColor;

        public Color BackColor => InventarStatus?.BackColor ?? DefaultOtherBackColor;

        public InventarStatus InventarStatus { get; set; }

        public DateTime CreateDate { get; set; }        

        public Appointment()
        {
            Description = "";
        }        
    }
}
