﻿using System;

namespace SfSchedule_NavigationButton.Models
{
    public class Customer : ObservableObject
    {                   
        public int Id { get; set; }

        public string Firstname { get; set; }

        public string Lastname { get; set; }

        public string FullName => $"{Lastname}, {Firstname}";

        public string TelephoneNumber { get; set; }

        public string Email { get; set; }

        public string Street { get; set; }

        public string HouseNumber { get; set; }

        public string ZipCode { get; set; }

        public string City { get; set; }

        public string FullAddress => $"{Street} {HouseNumber}\n{ZipCode} {City}";

        public DateTime CreateTime { get; set; }

        public bool Blocked { get; set; }

        public string Hint { get; set; }

        public bool Advertisement { get; set; }

        public Customer(int id, string firstname, string lastname, string telephoneNumber, string email, string street, string houseNumber, string zipCode, string city, DateTime createTime, bool blocked, string hint, bool advertisement)
        {
            Id = id;
            Firstname = firstname;
            Lastname = lastname;
            TelephoneNumber = telephoneNumber;
            Email = email;
            Street = street;
            HouseNumber = houseNumber;
            ZipCode = zipCode;
            City = city;
            CreateTime = createTime;
            Blocked = blocked;
            Hint = hint;
            Advertisement = advertisement;
        }

        public Customer()
        {
            Id = 0;
            Firstname = "";
            Lastname = "";
            TelephoneNumber = "";
            Email = "";
            Street = "";
            HouseNumber = "";
            ZipCode = "";
            City = "";
            CreateTime = DateTime.Now;
            Blocked = false;
            Hint = "";
        }
    }
}
