﻿using System;

namespace SfSchedule_NavigationButton.Models
{
    public class InventarItem : ObservableObject
    {
        private InventarStatus _inventarStatus;

        public int Id { get; set; }       

        public ProductType ProductType { get; set; }

        public InventarStatus InventarStatus
        {
            get => SaleId != null ? InventarStatus.Sold : _inventarStatus;
            set => _inventarStatus = value;
        }

        public double RetailPrice { get; set; }

        public double PurchasePrice { get; set; }

        public DateTime AvailableFrom { get; set; }        

        public DateTime PurchaseDate { get; set; }

        public DateTime? SoldDate { get; set; }

        public int? SaleId { get; set; }

        public InventarItem(int id, ProductType productType, InventarStatus inventarStatus, double retailPrice,
            double purchasePrice, DateTime availableFrom, DateTime purchaseDate, DateTime? soldDate, int? saleId)
        {
            Id = id;
            ProductType = productType;
            InventarStatus = inventarStatus;
            RetailPrice = retailPrice;
            PurchasePrice = purchasePrice;
            AvailableFrom = availableFrom;
            PurchaseDate = purchaseDate;
            SoldDate = soldDate;
            SaleId = saleId;
        }

        public InventarItem() { }
    }
}