﻿using System.Collections.Generic;
using System.Linq;
using System.Windows.Media;

namespace SfSchedule_NavigationButton.Models
{
    public class InventarStatus : ObservableObject
    {
        public static InventarStatus AllWildCardStatus { get; } = new InventarStatus { Id = -1, Name = "Alle Status" };

        public static InventarStatus Available { get; }         = new InventarStatus(1, "Vorhanden", 0, foregroundColor: Colors.Black, backColor: Color.FromRgb(1, 230, 118));
        public static InventarStatus NewItem { get; }           = new InventarStatus(2, "Neuware", 1, foregroundColor: Colors.White, backColor: Color.FromRgb(213, 0, 249));
        public static InventarStatus Ordered { get; }           = new InventarStatus(3, "Bestellt", 2, foregroundColor: Colors.Black, backColor: Color.FromRgb(255, 234, 0));
        public static InventarStatus OrderRequired { get; }     = new InventarStatus(4, "Bestellung notwendig", 3, Colors.Black, backColor: Color.FromRgb(255, 145, 0));
        public static InventarStatus NotAvailable { get; }      = new InventarStatus(5, "Nicht vorhanden", 4, foregroundColor: Colors.White, backColor: Color.FromRgb(244, 67, 54));
        public static InventarStatus Sold { get; }              = new InventarStatus(6, "Verkauft", 5, foregroundColor: Colors.White, backColor: Color.FromRgb(244, 67, 54));
                
        public static List<InventarStatus> AllInventarStatus { get; }
            = new List<InventarStatus>
            {
               Available,
               NewItem,
               Ordered,
               OrderRequired,
               NotAvailable,
               Sold
            };

        public int Id { get; set; }

        public string Name { get; set; }

        public int Priority { get; set; }

        public Color ForegroundColor { get; set; }

        public Color BackColor { get; set; }

        private InventarStatus(int id, string name, int priority, Color foregroundColor, Color backColor)
        {
            Id = id;
            Name = name;
            Priority = priority;
            ForegroundColor = foregroundColor;
            BackColor = backColor;
        }

        private InventarStatus() { }

        public static InventarStatus GetInventarStatus(int statusId)
        {
            return AllInventarStatus.FirstOrDefault(status => status.Id == statusId);
        }
    }
}