﻿using System;

namespace SfSchedule_NavigationButton.Models
{
    public class ProductType : ObservableObject
    {
        public static readonly ProductType AllWildCardType = new ProductType(-1, "Alle Typen", null, 0, 0, false, true, true);

        public int Id { get; set; }

        public string Name { get; set; }

        public ProductGroup ProductGroup { get; set; }

        public double RetailPrice { get; set; }

        public double PurchasePrice { get; set; }

        public bool Disabled { get; set; }

        public bool IsVisibleInCustomerInvoice { get; set; }

        public bool IsVisibleInDetailInvoice { get; set; }

        public string AlternativeInvoiceName { get; set; } = "";

        public bool HasAlternativeInvoiceName => AlternativeInvoiceName != String.Empty;

        public ProductType(int id, string name, ProductGroup productGroup, double retailPrice, double purchasePrice, bool disabled, bool isVisibleInCustomerInvoice, bool isVisibleInDetailInvoice, string alternativeInvoiceName = "")
        {
            Id = id;
            Name = name;
            ProductGroup = productGroup;
            RetailPrice = retailPrice;
            PurchasePrice = purchasePrice;
            Disabled = disabled;
            IsVisibleInCustomerInvoice = isVisibleInCustomerInvoice;
            IsVisibleInDetailInvoice = isVisibleInDetailInvoice;
            AlternativeInvoiceName = alternativeInvoiceName;
        }

        public ProductType() { }

        public override string ToString()
        {
            return Name;
        }
    }
}