﻿using System;

namespace SfSchedule_NavigationButton.Models
{
    public class RentalInfo : ObservableObject
    {
        public int TotalRentals { get; set; }

        public int UpcomingRentals { get; set; }

        public DateTime? FirstNeeded { get; set; }

        public int? FirstNeededOrderId { get; set; }

        public RentalInfo(int totalRentals, int upcomingRentals)
        {
            TotalRentals = totalRentals;
            UpcomingRentals = upcomingRentals;
        }

        public RentalInfo(int totalRentals, int upcomingRentals, DateTime? firstNeeded, int? firstNeededOrderId)
        {
            TotalRentals = totalRentals;
            UpcomingRentals = upcomingRentals;
            FirstNeeded = firstNeeded;
            FirstNeededOrderId = firstNeededOrderId;
        }

        public RentalInfo()
        {
            TotalRentals = 0;
            UpcomingRentals = 0;
        }
    }
}